summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini2019-04-20 10:45:36 +0200
committer Matteo Bernardini2020-04-04 10:17:32 +0200
commitbe9f4a26074bf506c4fd72ac3fafcc1542c35f9d (patch)
treef39a9b655a9a9a625f70f0cd6318c15f51834c85
parentd9f557c5159aab249ae6cae6f7b901bee9727a6b (diff)
downloadslackbuilds-gst-python3.tar.gz
python/gst-python3: Updated for version 1.16.0.gst-python3
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--python/gst-python3/gst-python3.SlackBuild4
-rw-r--r--python/gst-python3/gst-python3.info6
2 files changed, 5 insertions, 5 deletions
diff --git a/python/gst-python3/gst-python3.SlackBuild b/python/gst-python3/gst-python3.SlackBuild
index a9c2d7eb42..cba281efc9 100644
--- a/python/gst-python3/gst-python3.SlackBuild
+++ b/python/gst-python3/gst-python3.SlackBuild
@@ -25,7 +25,7 @@
PRGNAM=gst-python3
SRCNAM=gst-python
-VERSION=${VERSION:-1.6.2}
+VERSION=${VERSION:-1.16.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -82,7 +82,7 @@ make
make install DESTDIR=$PKG
# Remove the .la file to prevent conflicts with the python2 version of gst-python
-rm $PKG/usr/lib${LIBDIRSUFFIX}/gstreamer-1.0/libgstpythonplugin.la
+rm $PKG/usr/lib${LIBDIRSUFFIX}/gstreamer-1.0/libgstpython.la
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/python/gst-python3/gst-python3.info b/python/gst-python3/gst-python3.info
index 71b1372970..4a04c96158 100644
--- a/python/gst-python3/gst-python3.info
+++ b/python/gst-python3/gst-python3.info
@@ -1,8 +1,8 @@
PRGNAM="gst-python3"
-VERSION="1.6.2"
+VERSION="1.16.0"
HOMEPAGE="https://gstreamer.freedesktop.org/modules/gst-python.html"
-DOWNLOAD="https://gstreamer.freedesktop.org/src/gst-python/gst-python-1.6.2.tar.xz"
-MD5SUM="14b6cfe1a0db5cc01c6a58f7b4af6184"
+DOWNLOAD="https://gstreamer.freedesktop.org/src/gst-python/gst-python-1.16.0.tar.xz"
+MD5SUM="877b2ed2aaffdb62e63f38ea9469b70f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="python3"